SPDX-License-Identifier: CC-BY-SA-4.0 OR BSD-2-Clause
build-type: group
copyrights:
- Copyright (C) 2020 embedded brains GmbH (http://www.embedded-brains.de)
enabled-by:
- BUILD_TESTS
- BUILD_LIBTESTS
includes:
- testsuites/support/include
install: []
ldflags:
- -Wl,--wrap=printf
- -Wl,--wrap=puts
- -Wl,--wrap=putchar
links:
- role: build-dependency
  uid: optbin2c
- role: build-dependency
  uid: optgzip
- role: build-dependency
  uid: optrtemsld
- role: build-dependency
  uid: optrtemssyms
- role: build-dependency
  uid: optxz
- role: build-dependency
  uid: block01
- role: build-dependency
  uid: block02
- role: build-dependency
  uid: block03
- role: build-dependency
  uid: block04
- role: build-dependency
  uid: block05
- role: build-dependency
  uid: block06
- role: build-dependency
  uid: block07
- role: build-dependency
  uid: block08
- role: build-dependency
  uid: block09
- role: build-dependency
  uid: block10
- role: build-dependency
  uid: block11
- role: build-dependency
  uid: block12
- role: build-dependency
  uid: block13
- role: build-dependency
  uid: block14
- role: build-dependency
  uid: block15
- role: build-dependency
  uid: block16
- role: build-dependency
  uid: block17
- role: build-dependency
  uid: bspcmdline01
- role: build-dependency
  uid: calloc
- role: build-dependency
  uid: capture01
- role: build-dependency
  uid: clockgettime
- role: build-dependency
  uid: close
- role: build-dependency
  uid: complex
- role: build-dependency
  uid: cpuuse
- role: build-dependency
  uid: crypt01
- role: build-dependency
  uid: debugger01
- role: build-dependency
  uid: defaultconfig01
- role: build-dependency
  uid: devfs01
- role: build-dependency
  uid: devfs04
- role: build-dependency
  uid: deviceio01
- role: build-dependency
  uid: devnullfatal01
- role: build-dependency
  uid: dl01
- role: build-dependency
  uid: dl02
- role: build-dependency
  uid: dl03
- role: build-dependency
  uid: dl04
- role: build-dependency
  uid: dl05
- role: build-dependency
  uid: dl06
- role: build-dependency
  uid: dl07
- role: build-dependency
  uid: dl08
- role: build-dependency
  uid: dl09
- role: build-dependency
  uid: dl10
- role: build-dependency
  uid: dumpbuf01
- role: build-dependency
  uid: dup2
- role: build-dependency
  uid: exit01
- role: build-dependency
  uid: exit02
- role: build-dependency
  uid: fcntl
- role: build-dependency
  uid: flashdisk01
- role: build-dependency
  uid: flockfile
- role: build-dependency
  uid: fork
- role: build-dependency
  uid: free
- role: build-dependency
  uid: fstat
- role: build-dependency
  uid: ftrylockfile
- role: build-dependency
  uid: funlockfile
- role: build-dependency
  uid: getentropy01
- role: build-dependency
  uid: getlogin
- role: build-dependency
  uid: getpwnam
- role: build-dependency
  uid: getpwuid
- role: build-dependency
  uid: gettimeofday
- role: build-dependency
  uid: getuid
- role: build-dependency
  uid: heapwalk
- role: build-dependency
  uid: htonl
- role: build-dependency
  uid: i2c01
- role: build-dependency
  uid: iconv
- role: build-dependency
  uid: iconvclose
- role: build-dependency
  uid: iconvopen
- role: build-dependency
  uid: irqs01
- role: build-dependency
  uid: kill
- role: build-dependency
  uid: libfdt01
- role: build-dependency
  uid: longjmp
- role: build-dependency
  uid: lseek
- role: build-dependency
  uid: lstat
- role: build-dependency
  uid: malloc
- role: build-dependency
  uid: malloc02
- role: build-dependency
  uid: malloc03
- role: build-dependency
  uid: malloc04
- role: build-dependency
  uid: malloctest
- role: build-dependency
  uid: math
- role: build-dependency
  uid: mathf
- role: build-dependency
  uid: mathl
- role: build-dependency
  uid: md501
- role: build-dependency
  uid: monitor
- role: build-dependency
  uid: monitor02
- role: build-dependency
  uid: mouse01
- role: build-dependency
  uid: nanosleep
- role: build-dependency
  uid: newlib01
- role: build-dependency
  uid: open
- role: build-dependency
  uid: pipe
- role: build-dependency
  uid: posixmemalign
- role: build-dependency
  uid: putenvtest
- role: build-dependency
  uid: pwdgrp01
- role: build-dependency
  uid: pwdgrp02
- role: build-dependency
  uid: rbheap01
- role: build-dependency
  uid: rcxx01
- role: build-dependency
  uid: read
- role: build-dependency
  uid: readv
- role: build-dependency
  uid: realloc
- role: build-dependency
  uid: record01
- role: build-dependency
  uid: record02
- role: build-dependency
  uid: rtmonuse
- role: build-dependency
  uid: setjmp
- role: build-dependency
  uid: sha
- role: build-dependency
  uid: shell01
- role: build-dependency
  uid: sigaddset
- role: build-dependency
  uid: sigdelset
- role: build-dependency
  uid: sigemptyset
- role: build-dependency
  uid: sigfillset
- role: build-dependency
  uid: sigismember
- role: build-dependency
  uid: sigprocmask
- role: build-dependency
  uid: sparsedisk01
- role: build-dependency
  uid: spi01
- role: build-dependency
  uid: stackchk
- role: build-dependency
  uid: stackchk01
- role: build-dependency
  uid: stackchk02
- role: build-dependency
  uid: stat
- role: build-dependency
  uid: stringto01
- role: build-dependency
  uid: tar01
- role: build-dependency
  uid: tar02
- role: build-dependency
  uid: tar03
- role: build-dependency
  uid: termios
- role: build-dependency
  uid: termios01
- role: build-dependency
  uid: termios02
- role: build-dependency
  uid: termios03
- role: build-dependency
  uid: termios04
- role: build-dependency
  uid: termios05
- role: build-dependency
  uid: termios06
- role: build-dependency
  uid: termios07
- role: build-dependency
  uid: termios08
- role: build-dependency
  uid: termios09
- role: build-dependency
  uid: termios10
- role: build-dependency
  uid: termios11
- role: build-dependency
  uid: top
- role: build-dependency
  uid: ttest01
- role: build-dependency
  uid: ttest02
- role: build-dependency
  uid: tztest
- role: build-dependency
  uid: uid01
- role: build-dependency
  uid: unlink
- role: build-dependency
  uid: utf8proc01
- role: build-dependency
  uid: vfork
- role: build-dependency
  uid: wait
- role: build-dependency
  uid: waitpid
- role: build-dependency
  uid: write
- role: build-dependency
  uid: writev
- role: build-dependency
  uid: ofw01
type: build
use-after:
- rtemstest
use-before: []
